using ASHermed.SinoInterface.Api.ContractModel;
using ASHermed.SinoInterface.Api.ContractModel.App;
using ASHermed.SinoInterface.Repository.MySql;
using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;

namespace ASHermed.SinoInterface.Api.IRepository
{
    public interface ISanFangRepository : IBaseRepositoryToASHermed_SinoInterface<Pub_Message_Qimo>
    {
        int InsertPubMessageQimo(Pub_Message_Qimo ent);
        int ReadQimoMessage(int userId);
        int GetQimoMessage(int userId);
        Lock_Usrn GetLockUsrn(int patId, string aptUsrn);
        List<Lock_Usrn> GetPatLockUsrn(int userId);
        int InsertLockUsrn(Lock_Usrn ent);
        int UpdateLockUsrn(Lock_Usrn ent);
        Task<Lock_Usrn> GetLockRecord(int userId);
        Task<bool> UserAbandonApt(int userId);
        List<Lock_Usrn> GetAbandonApt(int userId);
        int UpdateLockNoUseUsrnStatus(string remark);
        int UpdateLockNoUseUsrnStatusById(int id, string remark);
        int UnLockUsrn(int patId, string usrn, string remark);
        List<Lock_Usrn> GetLockNoUseUsrnStatus();
        Task<int> InsertUserFeedback(User_Feedback ent);
    }
}
